<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../css/s.css" rel="stylesheet" type="text/css" />
    <jsp:include page="/baselayout/head.html" />
</head>

<body>
    <jsp:include page="/baselayout/header.jsp" />
    <header class="azuki">
        <ul class="nav justify-content-end navbarp">
            <li class="nav-item mr-auto">
                <!--トップッページに戻る-->
                <a class="nav-link active lawhite" href="#">サイト名</a>
            </li>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">マイページ</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">ユーザー情報</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">料理を投稿する</a>
                    </div>
                </li>
            </c:if>
            <li class="nav-item">
                <div class="headerLinks m-2 mr-2 ">
                    <a href="" class="lawhite">カテゴリ一覧 </a>
                </div>
            </li>
            <li class="nav-item">
                <form class="form-inline" action="" method="">
                    <div class="input-group">
                        <input type="text" class="form-control" size="50" placeholder="料理名、カテゴリなどを入力">
                        <button type="submit" class="btn btn-outline-light mx-1">検索</button>
                    </div>
                </form>
            </li>
            <li class="nav-item">
                <a class="nav-link active lawhite" href="#">ユーザー名</a>
            </li>
            <li class="nav-item">
                <a class="btn btn-outline-light" href="LogoutServlet">ログアウト</a>
            </li>
        </ul>
    </header>
    <div class="light">
        <p>○○>○○>○○>○○>○○</p>
    </div>
    <div class="wrapper">
        <div class="container">
            <h1>ユーザー新規登録</h1>

            <div class="white">
                <c:if test="${errMsg != null}">
                    <div class="alert alert-danger" role="alert">
                        ${errMsg}
                    </div>
                </c:if>
                <form action="UserCreateServlet" method="post">

                    <div class="m-xl-3  passtxt" align="center">ログインID(登録後変更不可)<input class="col" type="text" name="mail" placeholder="ローマ字・数字のみ" pattern="	^[0-9A-Za-z]+$" title="半角英数字で入力してください" required></div>

                    <div class="m-xl-3  passtxt" align="center">ニックネーム(10文字以内)<input maxlength="11" class="col" type="text" name="name" required></div>

                    <div class="m-xl-3  passtxt" align="center">パスワード(6文字以上12文字以内)<input class="col" type="password" name="password" pattern="^([a-zA-Z0-9]{6,})$" title="半角英数字6文字以上入力してください" required></div>

                    <div class="m-xl-3  passtxt" align="center">パスワード(確認)<input class="col" type="password" name="passwordkakunin" pattern="^([a-zA-Z0-9]{6,})$" title="半角英数字6文字以上入力してください" required></div>

                    <div class="m-xl-3  passtxt" align="center">メールアドレス<input class="col" type="text" name="mail" placeholder="pc・携帯メールアドレスを入力" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" title="半角英数字で@以降も全て入力してください" required></div>

                    <div class="m-xl-3 py-3 " align="center">
                        <button class="btn btn-primary" type="submit" value="登録">登録する</button>
                    </div>
                </form>
                <form action="" method="">
                    <button class="btn btn-outline-secondary btn-lg my-1 " align="center" type="submit">戻る</button>
                </form>

            </div>
        </div>
        <footer>
            <p class="m-1">(c)copy right</p>
        </footer>
    </div>
</body>

</html>
